Ankündigung

Einklappen
Keine Ankündigung bisher.

KNXD aus Buster auf neueste Version bringen?

Einklappen
X
 
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

    #16
    Das ist so nicht zielführend. Nimm bullseye in deine Paketquellen auf, sag /etc/apt/preferences dass es "testing" abwerten soll:

    Code:
    Package: *
    Pin: release n=buster
    Pin-Priority: 700
    
    Package: *
    Pin: release n=bullseye
    Pin-Priority: 650
    
    Package: *
    Pin: release a=unstable
    Pin-Priority: 500
    und installiere dann den testing-knxd mit aptitude.

    Alternativ holst du dir den aktuellen Debian-Zweig von github und baust ihn selber.

    UIrgendwelche Pakete manuell aus dem Archiv zu ziehen ist eigentlich nie eine gute Idee.
    DistKV, Home Assistant, 1wire, KNX, Python, Asterisk, SMD-Lötkolben

    Kommentar


      #17
      Hallo,

      vielen Dank. Das selbst bauen scheitert momentan noch.
      Wenn ich nun bullseye pakete in die Quellen aufnehme, riskiere ich dann nicht Inkompatibilitäten? Was wenn dadurch eine aktuellere Version einer Lib installiert wird, die mit alten Programmen aus buster nicht kompatibel sind?

      Gruß,
      Hendrik

      Kommentar


        #18
        Von einer Version zur nächsten passiert das eher nicht, und wenn dann wirst du entweder aufgefordert eine neue Version der alten Programme zu installieren (Regelfall) oder du merkst es und machst es selber (wenn einer der betreffenden Maintainer gepennt hat).

        Ich habe hier ständig irgendwelchen Mischbetrieb aus buster und bullseye und die Probleme halten sich sehr in Grenzen.
        DistKV, Home Assistant, 1wire, KNX, Python, Asterisk, SMD-Lötkolben

        Kommentar

        Lädt...
        X